Edje Class: Size

Functions
Edje Class: Size
Edje » Edje Object

Functions that deal with Size Classes. More...

## Functions
Eina_Bool | edje_size_class_set (const char *size_class, Evas_Coord minw, Evas_Coord minh, Evas_Coord maxw, Evas_Coord maxh)
| Set the Edje size class. More...
Eina_Bool | edje_size_class_get (const char *size_class, Evas_Coord *minw, Evas_Coord *minh, Evas_Coord *maxw, Evas_Coord *maxh)
| Get the Edje size class. More...
void | edje_size_class_del (const char *size_class)
| Delete the size class. More...
Eina_List * | edje_size_class_list (void)
| List size classes. More...
Eina_Iterator * | edje_size_class_active_iterator_new (void)
| Iterate over all active classes of an application. More...
Eina_Iterator * | edje_mmap_size_class_iterator_new (Eina_File *f)
| Iterate over all size classes provided by an Edje file. More...

## Detailed Description

Functions that deal with Size Classes.

Sometimes we want to change the size of two or more parts equally and that's when we use size classes.

If one or more parts are assigned with a size class, when we set attributes (minw etc.) to this class will update all these parts with the new attributes. Setting values to a size class at a process level will affect all parts with that size class, while at object level will affect only the parts inside an specified object.

## Function Documentation

## ◆ edje_size_class_set()

Eina_Bool edje_size_class_set | ( | const char * | size_class,
|  | Evas_Coord | minw,
|  | Evas_Coord | minh,
|  | Evas_Coord | maxw,
|  | Evas_Coord | maxh
| ) |  |

Set the Edje size class.

Parameters

  size_class | The size class name
  minw | The min width
  minh | The min height
  maxw | The max width
  maxh | The max height

Returns
  `EINA_TRUE`, on success or `EINA_FALSE`, on error

This function updates all Edje members at the process level which belong to this size class with the new min and max attributes.

See also
  edje_size_class_get().

Since
  1.17

References EINA_FALSE, eina_hash_add(), eina_hash_find(), eina_hash_iterator_data_new(), eina_hash_string_superfast_new(), EINA_ITERATOR_FOREACH, eina_iterator_free(), eina_stringshare_add(), and EINA_TRUE.

## ◆ edje_size_class_get()

Eina_Bool edje_size_class_get | ( | const char * | size_class,
|  | Evas_Coord * | minw,
|  | Evas_Coord * | minh,
|  | Evas_Coord * | maxw,
|  | Evas_Coord * | maxh
| ) |  |

Get the Edje size class.

Parameters

  size_class | The size class name
  minw | The min width
  minh | The min height
  maxw | The max width
  maxh | The max height

Returns
  `EINA_TRUE`, on success or `EINA_FALSE`, on error

This function gets the min and max size from the specified Edje size class.

Since
  1.17

References EINA_FALSE, eina_hash_find(), and EINA_TRUE.

## ◆ edje_size_class_del()

void edje_size_class_del | ( | const char * | size_class | ) |

Delete the size class.

Parameters

  size_class | The size class name

This function deletes any values at the process level for the specified size class.

Since
  1.17

References eina_hash_del(), eina_hash_find(), eina_hash_iterator_data_new(), EINA_ITERATOR_FOREACH, eina_iterator_free(), eina_stringshare_del(), and EINA_TRUE.

## ◆ edje_size_class_list()

Eina_List* edje_size_class_list | ( | void |  | ) |

List size classes.

Returns
  A list of size class names (strings). These strings are stringshares and the list must be eina_stringshare_del()'ed by the caller.

This function lists all size classes known about by the current process.

Since
  1.17

References EINA_FALSE, eina_hash_foreach(), eina_hash_iterator_data_new(), eina_iterator_free(), eina_iterator_next(), EINA_MAGIC_SET, and EINA_TRUE.

## ◆ edje_size_class_active_iterator_new()

Eina_Iterator* edje_size_class_active_iterator_new | ( | void |  | ) |

Iterate over all active classes of an application.

Returns
  an iterator of Edje_Size_Class of the currently active size class

This function only iterates over the Edje_Size_Class in use by an application.

Since
  1.17

References EDJE_PART_TYPE_GROUP, EINA_FALSE, eina_hash_del(), eina_hash_direct_add(), eina_hash_find(), eina_hash_iterator_tuple_new(), eina_iterator_free(), eina_iterator_next(), eina_list_append(), EINA_MAGIC_SET, eina_stringshare_add(), and EINA_TRUE.

## ◆ edje_mmap_size_class_iterator_new()

Eina_Iterator* edje_mmap_size_class_iterator_new | ( | Eina_File * | f | ) |

Iterate over all size classes provided by an Edje file.

Returns
  an iterator of Edje_Size_Class provided by the Edje file.

Since
  1.17

References EDJE_PART_TYPE_GROUP, EINA_FALSE, eina_hash_iterator_tuple_new(), EINA_MAGIC_SET, eina_stringshare_add(), eina_stringshare_del(), and EINA_TRUE.